#!/usr/bin/python

import os, sys, subprocess

def get_domains():
    domains = list()
    not_found = list()
    cmd = 'find /usr/share/locale-langpack -name "*.mo"'
    res = None 
    try:
        res = subprocess.Popen(cmd, shell=True, cwd="./", stdout=subprocess.PIPE ).communicate()
    except Exception,e:
        print >>sys.stderr, "oppd: " + str(e)
        sys.exit(1)
    lines = res[0].split('\n')
    for line in lines:
        last_sep = line.rfind("/") + 1
        domain = line[last_sep:line.find(".mo", last_sep)]
        #print >> sys.stderr, domain 
        if len(domain) > 0:
            if domain not in domains:
                domains.append(domain)
    return domains

def get_src_pkgs(domains):
    not_found = list()
    src_pkgs = list()
    for domain in domains:
        cmd = ['apt-cache', 'showsrc', domain]

        try:
            res = subprocess.Popen(cmd, cwd="./", stdout=subprocess.PIPE ).communicate()
        except:
            #print >>sys.stderr, "not found: %(dom)s" % {'dom':domain}
            not_found.append(domain)
            continue
        src_pkg = res[0][res[0].find(" ") + 1:res[0].find("\n")]
        if len(src_pkg) == 0:
            not_found.append(domain)
            continue
        src_pkgs.append(src_pkg)
        
        #print >>sys.stderr, "src pkg: %(res)s" % {'res':src_pkg}
    return src_pkgs, not_found

def main(options):

    domains = get_domains()




#    src_pkgs, domains_without_source_pkg = get_src_pkgs(domains)

#    for src_pkg in src_pkgs:
#        print src_pkg

if __name__ == "__main__":
    import optparse
    parser = optparse.OptionParser()
    parser.add_option("-i", "--infile",
                      dest="infile",
                      default=None,
                      help="infile for processing."
                     )

    (options, args) = parser.parse_args()
    main(options)
    sys.exit(0)

